Skip to main content
GET
/
orgs
/
{org_id}
/
emails
/
domains
Get Email Domains
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/emails/domains
[
  {
    "id": "<string>",
    "domain": "<string>",
    "dkim_status": "PENDING",
    "dkim_tokens": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ],
    "verified_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

Search domains by name

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required

Unique identifier for the email domain

domain
string
required

The domain name

dkim_status
enum<string>
required

DKIM verification status of an email domain

Available options:
PENDING,
VERIFIED,
FAILED
dkim_tokens
object[] | null
required

DKIM CNAME records to add to DNS

verified_at
string<date-time> | null
required

Timestamp when the domain was verified

created_at
string<date-time> | null
required

Timestamp when the domain was created

updated_at
string<date-time> | null
required

Timestamp when the domain was last updated